=begin pod

=TITLE role X::OS

    role X::OS { has $.os-error }

Common role for all errors that are triggered by some error
reported by the operating system (failed IO, system calls,
fork, memory allocation).

=head1 Methods

=head2 os-error

    method os-error() returns Str:D

Returns the error as reported by the operating system.

=end pod
